> For the complete documentation index, see [llms.txt](https://docs.rasgoml.com/rasgo-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/datarobot_score.md).

# Datarobot Score

Retrieves predictions from a DataRobot model that was deployed in Snowflake.

## Parameters

| Name            | Type         | Description                                                                                                                                                                                                     | Is Optional |
| --------------- | ------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| function\_name  | value        | name of the custom Snowflake function that represents the DataRobot model                                                                                                                                       |             |
| include\_cols   | column\_list | List of columns to select                                                                                                                                                                                       |             |
| num\_explains   | value        | (Optional) the number of prediction explanations to also retrieve. Prediction explanations are computationally expensive. If you supply num\_explains, you must also supply threshold\_low and threshold\_high. | True        |
| threshold\_low  | value        | (Optional) predictions lower than this threshold will also calculate an explanation.                                                                                                                            | True        |
| threshold\_high | value        | (Optional) predictions higher than this threshold will also calculate an explanation.                                                                                                                           | True        |

## Example

```python
toscore = rasgo.get.dataset(resource_key='adventureworks_sales_by_day_toscore')

# with explanations
scored = toscore.datarobot_score(function_name = 'PUBLIC.DEMO_PREDICT_NEXT_WEEK_SALES_V2',
                     include_cols = ['ORDERDATE','SALESAMOUNT'],
                     num_explains=2, 
                     threshold_low=100, 
                     threshold_high=100000)

# without explanations
scored = toscore.datarobot_score(function_name = 'PUBLIC.DEMO_PREDICT_NEXT_WEEK_SALES',
                     include_cols = ['ORDERDATE','SALESAMOUNT'])    

scored.preview()
```

## Source Code

{% embed url="<https://github.com/rasgointelligence/RasgoTransforms/blob/main/rasgotransforms/rasgotransforms/transforms/datarobot_score/datarobot_score.sql>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/datarobot_score.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
